Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.request
Class Request

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.request.Request

Direct Known Subclasses:
  FindRequest, GetAuthToken, GetBindingDetail, GetBusinessDetail, GetServiceDetail, GetTModelDetail, UpdateRequest, ValidateCategorization

public abstract class Request
extends java.lang.Object

Field Summary
`protected java.lang.String` | `generic`
`protected java.lang.String` | `xmlns`

Constructor Summary
`Request()`

Method Summary
`java.lang.String` | `getGeneric()` Gets the value of the generic.
`java.lang.String` | `getXMLns()` Get the value of xmlns
`void` | `setGeneric(java.lang.String value)` sets the value of the generic.
`void` | `setXMLns(java.lang.String value)` Sets the value of xmlns

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### generic

    protected java.lang.String generic

### xmlns

    protected java.lang.String xmlns

Constructor Detail

### Request

    public Request()

Method Detail

### setGeneric

    public void setGeneric(java.lang.String value)

  sets the value of the generic.

  Parameters:
    `value` - value of the generic.

### getGeneric

    public java.lang.String getGeneric()

  Gets the value of the generic.

  Returns:
    Current value of generic.

### setXMLns

    public void setXMLns(java.lang.String value)

  Sets the value of xmlns

  Parameters:
    `value` - Value of xmlns

### getXMLns

    public java.lang.String getXMLns()

  Get the value of xmlns

  Returns:
    Value of xmlns

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference